local metadata = {
"## Interface:FS17 1.4.4",
"## Title: brakeCompressorAnimations",
"## Notes: See lua notes.",
"## Author: GTX MODS",
"## Version: 1.0",
"## Date: 28.04.2017",
"## Web: http://www.gtxmods.com/"
}

--[[

Credits:
brakeCompressorAnimations.lua by GTX MODS

History:
V 1.0 @ 28.04.2017 - Initial Release by GTX MODS

Free to use and edit but please keep credits and update Version Number and descriptions. If edited, send us a copy we would love to see it > http://www.gtxmods.com/contact-us/ 

Designed to be used on the CRT Trucks. Adds an Analoge or Digital display for brakeCompressor fill volume using the standard indoorHud.

Analoge. EXAMPLE FOR XML:

<indoorHud>
	<brakeCompressor animName="brakeComp"/>
</indoorHud>

<animations>
	<animation name="brakeComp">
		<part node="0>" startTime="0" endTime="1" startRot="0 0 0" endRot="-265 0 0"/>
	</animation>
</animations>

Digital. EXAMPLE FOR XML:

<indoorHud>
	<brakeCompressor numbers="0>" precision="1" />
</indoorHud>

]]

brakeCompressorAnimations = {};

function brakeCompressorAnimations.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(AnimatedVehicle, specializations);
end

function brakeCompressorAnimations:load(savegame)
	self.bcAnimations = VehicleHudUtils.loadHud(self, self.xmlFile, "brakeCompressor");	
end

function brakeCompressorAnimations:updateTick(dt)
	if self.isClient then
		if self:getIsMotorStarted() then
			if self.bcAnimations ~= nil then
				VehicleHudUtils.setHudValue(self, self.bcAnimations, self.brakeCompressor.fillLevel, self.brakeCompressor.capacity);
			end
		end
	end
end

function brakeCompressorAnimations:update(dt)
end

function brakeCompressorAnimations:stopMotor(noEventSend)
	if noEventSend == nil or noEventSend == false then
		if g_server ~= nil then
			g_server:broadcastEvent(SetMotorTurnedOnEvent:new(self, false), nil, nil, self);
		else
			g_client:getServerConnection():sendEvent(SetMotorTurnedOnEvent:new(self, false));
		end
	end

	self.isMotorStarted = false;

	if self.bcAnimations ~= nil then
		VehicleHudUtils.setHudValue(self, self.bcAnimations, 0, self.brakeCompressor.capacity);
	end
end

function brakeCompressorAnimations:draw()
end

function brakeCompressorAnimations:mouseEvent(posX, posY, isDown, isUp, button)
end;

function brakeCompressorAnimations:keyEvent(unicode, sym, modifier, isDown)
end;

function brakeCompressorAnimations:delete()
end;