-- motohoursCounter
-- specialization script for FS 17 vehicles
-- adds analog operating hours counter
-- author: agro787
-- date: 2017-02-25
-- Copyright (C) 2017 by agro787 modding, All Rights Reserved.

motohoursCounter = {};

function motohoursCounter.prerequisitesPresent (specializations)
	return true;
end;

function motohoursCounter:load(savegame)
	self.hundredthHours = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.motohoursCounter.hundredthHours#node"));
	self.tenthHours = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.motohoursCounter.tenthHours#node"));
	self.hours = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.motohoursCounter.hours#node"));
	self.tenHours = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.motohoursCounter.tenHours#node"));
	self.hundredHours = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.motohoursCounter.hundredHours#node"));
	self.thousandHours = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.motohoursCounter.thousandHours#node"));
end;

function motohoursCounter:delete()
end;

function motohoursCounter:readStream(streamId, connection)
end;

function motohoursCounter:writeStream(streamId, connection)
end;

function motohoursCounter:mouseEvent(posX, posY, isDown, isUp, button)
end;

function motohoursCounter:keyEvent(unicode, sym, modifier, isDown)
end;

function motohoursCounter:update(dt)
	if self.hundredthHours ~= nil and (self.movingDirection < 0 or self.movingDirection > 0) then
		rotate(self.hundredthHours, self.lastSpeed*0.04248, 0, 0)
	end;
	if self.tenthHours ~= nil and (self.movingDirection < 0 or self.movingDirection > 0) then
		rotate(self.tenthHours, self.lastSpeed*0.004248, 0, 0)
	end;
	if self.hours ~= nil and (self.movingDirection < 0 or self.movingDirection > 0) then
		rotate(self.hours, self.lastSpeed*0.0004248, 0, 0)
	end;
	if self.tenHours ~= nil and (self.movingDirection < 0 or self.movingDirection > 0) then
		rotate(self.tenHours, self.lastSpeed*0.00004248, 0, 0)
	end;
	if self.hundredHours ~= nil and (self.movingDirection < 0 or self.movingDirection > 0) then
		rotate(self.hundredHours, self.lastSpeed*0.000004248, 0, 0)
	end;
	if self.thousandHours ~= nil and (self.movingDirection < 0 or self.movingDirection > 0) then
		rotate(self.thousandHours, self.lastSpeed*0.0000004248, 0, 0)
	end;
end;

function motohoursCounter:draw()
end;