local metadata = {
"## Interface:FS17 1.4.4",
"## Title: startHudAnimations",
"## Notes: See lua notes.",
"## Author: GTX MODS",
"## Version: 1.0",
"## Date: 27.04.2017",
"## Web: http://www.gtxmods.com/"
}

--[[

Credits:
startHudAnimations.lua by GTX MODS

History:
V 1.0 @ 27.04.2017 - Initial Release by GTX MODS

Free to use and edit but please keep credits and update Version Number and descriptions. If edited, send us a copy we would love to see it > http://www.gtxmods.com/contact-us/ 

Designed to be used on the CRT Trucks. Allows for fake animation of the indoor gauges Using standard animations and times.
You can set the reverse animation time scale by adding gaugeReturnSpeed="" OR tempCoolSpeed="" as required.

EXAMPLE FOR XML:
<startHudAnimations gaugeAnimationName="indoorGauges" gaugeReturnSpeed="1" tempAnimationName="indoorTemp" tempCoolSpeed="0.4"/>

]]

startHudAnimations = {};

function startHudAnimations.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(AnimatedVehicle, specializations);
end

function startHudAnimations:load(savegame)
	self.gaugeAnimations = getXMLString(self.xmlFile, "vehicle.startHudAnimations#gaugeAnimationName");
	self.tempAnimations = getXMLString(self.xmlFile, "vehicle.startHudAnimations#tempAnimationName");
	self.coolTime = Utils.getNoNil(getXMLFloat(self.xmlFile, "vehicle.startHudAnimations#tempCoolSpeed"),1);
	self.gaugeTime = Utils.getNoNil(getXMLFloat(self.xmlFile, "vehicle.startHudAnimations#gaugeReturnSpeed"),1);
end

function startHudAnimations:update(dt)
    if self:getIsActive() then
        if self.gaugeAnimations ~= nil then
            if self.isMotorStarted then
                 self:playAnimation(self.gaugeAnimations, 1, self:getAnimationTime(self.gaugeAnimations), true);
			else
				self:playAnimation(self.gaugeAnimations, -self.gaugeTime, self:getAnimationTime(self.gaugeAnimations), true);
			end
        end
		if self.tempAnimations ~= nil then
			if self.isMotorStarted then
				 self:playAnimation(self.tempAnimations, 1, self:getAnimationTime(self.tempAnimations), true);
			else
				self:playAnimation(self.tempAnimations, -self.coolTime, self:getAnimationTime(self.tempAnimations), true);
			end
        end
    end
end

function startHudAnimations:draw()
end

function startHudAnimations:mouseEvent(posX, posY, isDown, isUp, button)
end;

function startHudAnimations:keyEvent(unicode, sym, modifier, isDown)
end;

function startHudAnimations:delete()
end;